Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## prea.recommender.baseline
Class UserAverage

    java.lang.Object
      prea.recommender.baseline.BaselineRecommender
          prea.recommender.baseline.UserAverage

All Implemented Interfaces:
  Recommender

    public class UserAverage

extends BaselineRecommender

The class implementing a baseline, predicting by the average of target user ratings.

Since:
  2012. 4. 20
Version:
  1.1
Author:
  Joonseok Lee

Field Summary
`SparseVector` | `userRateAverage` Average of ratings for each user.

Fields inherited from class prea.recommender.baseline.BaselineRecommender
`itemCount, maxValue, minValue, rateMatrix, userCount`

Constructor Summary
`UserAverage(int uc, int ic, double max, double min, SparseVector ura)` Construct a constant model with the given data.

Method Summary
`double` | `predict(int userId, int itemId)` Predict a rating for the given user and item.

Methods inherited from class prea.recommender.baseline.BaselineRecommender
`buildModel, evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userRateAverage

    public SparseVector userRateAverage

  Average of ratings for each user.

Constructor Detail

### UserAverage

    public UserAverage(int uc,
                       int ic,
                       double max,
                       double min,
                       SparseVector ura)

  Construct a constant model with the given data.

  Parameters:
    `uc` - The number of users in the dataset.
    `ic` - The number of items in the dataset.
    `max` - The maximum rating value in the dataset.
    `min` - The minimum rating value in the dataset.
    `ura` - The average of ratings for each user.

Method Detail

### predict

    public double predict(int userId,
                          int itemId)

  Predict a rating for the given user and item.

  Specified by:
    `predict` in class `BaselineRecommender`
  Parameters:
    `userId` - The target user.
    `itemId` - The target item.
  Returns:
    predicted rating.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD